import jsYaml from "js-yaml";
import { intakeFile } from "./intakeFile.js";
function intakeFileAsYaml(files, filePath) {
  const file = intakeFile(files, filePath);
  try {
    return file && jsYaml.load(file[0]);
  } catch {
    return void 0;
  }
}
export {
  intakeFileAsYaml
};
