import { trimPrecedingSlash } from "../utils/trimPrecedingSlash.js";
async function readBin(getPackageData) {
  const { bin } = await getPackageData();
  return typeof bin === "object" ? Object.fromEntries(
    Object.entries(bin).map(([key, value]) => [
      key,
      trimPrecedingSlash(value)
    ])
  ) : trimPrecedingSlash(bin);
}
export {
  readBin
};
