async function readDocumentation(getDevelopmentDocumentation, getReadmeAdditional, getReadmeUsage) {
  const [additional, development, usage] = await Promise.all([
    getReadmeAdditional(),
    getDevelopmentDocumentation(),
    getReadmeUsage()
  ]);
  return {
    development,
    readme: {
      additional,
      usage
    }
  };
}
export {
  readDocumentation
};
